# Uses of Enum Class
org.apache.solr.client.solrj.request.json.TermsFacetMap.FacetMethod

Packages that use TermsFacetMap.FacetMethod
Package
Description
org.apache.solr.client.solrj.request.json
Allows sending of requests using Solr's JSON query/faceting API

## Uses of TermsFacetMap.FacetMethod in org.apache.solr.client.solrj.request.json

Methods in org.apache.solr.client.solrj.request.json that return TermsFacetMap.FacetMethod
Modifier and Type
Method
Description
`static TermsFacetMap.FacetMethod`
TermsFacetMap.FacetMethod.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TermsFacetMap.FacetMethod[]`
TermsFacetMap.FacetMethod.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.client.solrj.request.json with parameters of type TermsFacetMap.FacetMethod
Modifier and Type
Method
Description
`TermsFacetMap`
TermsFacetMap.`setFacetMethod(TermsFacetMap.FacetMethod method)`
Indicate which method should be used to compute the facet.